devel/p5-Hash-MultiValue - The NetBSD Packages Collection

Perl5 module to store multiple values per key

The Perl 5 module Hash::MultiValue provides objects (and plain hash
references) that may contain multiple values per key. The objects
behave like single-value hash references, but also provide an API
to retrieve multiple values explicitly on demand.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0earmv7hfp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 8.0earmv7hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0i386p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 8.0i386p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0powerpcp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 8.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 8.0x86_64p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 8.0x86_64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0aarch64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0aarch64p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0aarch64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0alphap5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0alphap5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0alphap5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0earmp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmv6hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmv6hfp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0earmv6hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmv7hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmv7hfp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0earmv7hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0earmv7hfp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0i386p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0i386p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0i386p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0m68kp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0m68kp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0m68kp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0m68kp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0mips64ebp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0mips64ebp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0mips64ebp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0mips64ebp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0mips64ebp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0mipselp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0mipselp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0mipselp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0mipselp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0powerpcp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0powerpcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sh3elp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sh3elp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sh3elp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sh3elp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sh3elp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sparc64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sparc64p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sparc64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sparcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0sparcp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sparcp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sparcp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0sparcp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0vaxp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0vaxp5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0vaxp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0vaxp5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0x86_64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0x86_64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0x86_64p5-Hash-MultiValue-0.16nb6.tgz
NetBSD 9.0x86_64p5-Hash-MultiValue-0.16nb7.tgz
NetBSD 9.0x86_64p5-Hash-MultiValue-0.16nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.